Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkFieldDataToAttributeDataFilter Class Reference

`#include <vtkFieldDataToAttributeDataFilter.h>`

Inheritance diagram for vtkFieldDataToAttributeDataFilter:

[legend]
Collaboration diagram for vtkFieldDataToAttributeDataFilter:

[legend]
List of all members.

## Detailed Description

map field data to dataset attribute data

Date:
  2002/09/26 12:07:14

Revision:
  1.29

vtkFieldDataToAttributeDataFilter is a class that maps field data into dataset attributes. The input to this filter is any type of dataset and the output is the same dataset (geometry/topology) with new attribute data (attribute data is passed through if not replaced during filter execution).

To use this filter you must specify which field data from the input dataset to use. There are three possibilities: the cell field data, the point field data, or the field data associated with the data object superclass. Then you specify which attribute data to create: either cell attribute data or point attribute data. Finally, you must define how to construct the various attribute data types (e.g., scalars, vectors, normals, etc.) from the arrays and the components of the arrays from the field data. This is done by associating components in the input field with components making up the attribute data. For example, you would specify a scalar with three components (RGB) by assigning components from the field for the R, then G, then B values of the scalars. You may also have to specify component ranges (for each R-G-B) to make sure that the number of R, G, and B values is the same. Also, you may want to normalize the components which helps distribute the data uniformly.

This filter is often used in conjunction with vtkDataObjectToDataSetFilter. vtkDataObjectToDataSetFilter filter generates dataset topology and geometry and passes its input field data along to its output. Then this filter is used to generate the attribute data to go along with the dataset.

Warning:
  Make sure that the data you extract is consistent. That is, if you have N points, extract N point attributes (scalars, vectors, etc.).

See also:
  vtkFieldData vtkDataSet vtkDataObjectToDataSetFilter vtkDataSetAttributes vtkDataArray

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (71%)
  - Henderson, Amy (10%)
  - Geveci, Berk (8%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkFieldDataToAttributeDataFilter.h)`
  - .`cxx` (`/Graphics/vtkFieldDataToAttributeDataFilter.cxx)`

Tests:
  vtkFieldDataToAttributeDataFilter (Tests)

Definition at line 90 of file vtkFieldDataToAttributeDataFilter.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
void | PrintSelf (ostream &os, vtkIndent indent)
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | ComputeInputUpdateExtents (vtkDataObject *output)
virtual void | SetInputField (int)
virtual int | GetInputField ()
void | SetInputFieldToDataObjectField ()
void | SetInputFieldToPointDataField ()
void | SetInputFieldToCellDataField ()
virtual void | SetOutputAttributeData (int)
virtual int | GetOutputAttributeData ()
void | SetOutputAttributeDataToCellData ()
void | SetOutputAttributeDataToPointData ()
void | SetScalarComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize)
void | SetScalarComponent (int comp, const char *arrayName, int arrayComp)
const char * | GetScalarComponentArrayName (int comp)
int | GetScalarComponentArrayComponent (int comp)
int | GetScalarComponentMinRange (int comp)
int | GetScalarComponentMaxRange (int comp)
int | GetScalarComponentNormalizeFlag (int comp)
void | SetVectorComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize)
void | SetVectorComponent (int comp, const char *arrayName, int arrayComp)
const char * | GetVectorComponentArrayName (int comp)
int | GetVectorComponentArrayComponent (int comp)
int | GetVectorComponentMinRange (int comp)
int | GetVectorComponentMaxRange (int comp)
int | GetVectorComponentNormalizeFlag (int comp)
void | SetNormalComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize)
void | SetNormalComponent (int comp, const char *arrayName, int arrayComp)
const char * | GetNormalComponentArrayName (int comp)
int | GetNormalComponentArrayComponent (int comp)
int | GetNormalComponentMinRange (int comp)
int | GetNormalComponentMaxRange (int comp)
int | GetNormalComponentNormalizeFlag (int comp)
void | SetTensorComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize)
void | SetTensorComponent (int comp, const char *arrayName, int arrayComp)
const char * | GetTensorComponentArrayName (int comp)
int | GetTensorComponentArrayComponent (int comp)
int | GetTensorComponentMinRange (int comp)
int | GetTensorComponentMaxRange (int comp)
int | GetTensorComponentNormalizeFlag (int comp)
void | SetTCoordComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize)
void | SetTCoordComponent (int comp, const char *arrayName, int arrayComp)
const char * | GetTCoordComponentArrayName (int comp)
int | GetTCoordComponentArrayComponent (int comp)
int | GetTCoordComponentMinRange (int comp)
int | GetTCoordComponentMaxRange (int comp)
int | GetTCoordComponentNormalizeFlag (int comp)
virtual void | SetDefaultNormalize (int)
virtual int | GetDefaultNormalize ()
virtual void | DefaultNormalizeOn ()
virtual void | DefaultNormalizeOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkFieldDataToAttributeDataFilter * | SafeDownCast (vtkObject *o)
vtkFieldDataToAttributeDataFilter * | New ()
int | GetComponentsType (int numComp, vtkDataArray **arrays)
vtkDataArray * | GetFieldArray (vtkFieldData *fd, char *name, int comp)
void | SetArrayName (vtkObject *self, char *&name, const char *newName)
int | UpdateComponentRange (vtkDataArray *da, vtkIdType compRange[2])
int | ConstructArray (vtkDataArray *da, int comp, vtkDataArray *frray, int fieldComp, vtkIdType min, vtkIdType max, int normalize)
## Protected Methods
| vtkFieldDataToAttributeDataFilter ()
| ~vtkFieldDataToAttributeDataFilter ()
void | Execute ()
void | ConstructScalars (int num, vtkFieldData *fd, vtkDataSetAttributes *attr, vtkIdType componentRange[4][2], char *arrays[4], int arrayComponents[4], int normalize[4], int numComp)
void | ConstructVectors (int num, vtkFieldData *fd, vtkDataSetAttributes *attr, vtkIdType componentRange[3][2], char *arrays[3], int arrayComponents[3], int normalize[3])
void | ConstructGhostLevels (int num, vtkFieldData *fd, vtkDataSetAttributes *attr, vtkIdType componentRange[2], char *array, int arrayComponent, int normalize)
void | ConstructNormals (int num, vtkFieldData *fd, vtkDataSetAttributes *attr, vtkIdType componentRange[3][2], char *arrays[3], int arrayComponents[3], int normalize[3])
void | ConstructTCoords (int num, vtkFieldData *fd, vtkDataSetAttributes *attr, vtkIdType componentRange[3][2], char *arrays[3], int arrayComponents[3], int normalize[3], int numComp)
void | ConstructTensors (int num, vtkFieldData *fd, vtkDataSetAttributes *attr, vtkIdType componentRange[9][2], char *arrays[9], int arrayComponents[9], int normalize[9])
void | ConstructFieldData (int num, vtkDataSetAttributes *attr)
## Protected Attributes
int | InputField
int | OutputAttributeData
int | NumberOfScalarComponents
char * | ScalarArrays [4]
int | ScalarArrayComponents [4]
vtkIdType | ScalarComponentRange [4][2]
int | ScalarNormalize [4]
char * | VectorArrays [3]
int | VectorArrayComponents [3]
vtkIdType | VectorComponentRange [3][2]
int | VectorNormalize [3]
char * | GhostLevelArray
int | GhostLevelArrayComponent
vtkIdType | GhostLevelComponentRange [2]
int | GhostLevelNormalize
char * | NormalArrays [3]
int | NormalArrayComponents [3]
vtkIdType | NormalComponentRange [3][2]
int | NormalNormalize [3]
char * | TensorArrays [9]
int | TensorArrayComponents [9]
vtkIdType | TensorComponentRange [9][2]
int | TensorNormalize [9]
int | NumberOfTCoordComponents
char * | TCoordArrays [3]
int | TCoordArrayComponents [3]
vtkIdType | TCoordComponentRange [3][2]
int | TCoordNormalize [3]
int | DefaultNormalize

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkFieldDataToAttributeDataFilter::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 94 of file vtkFieldDataToAttributeDataFilter.h.

## Constructor & Destructor Documentation

vtkFieldDataToAttributeDataFilter::vtkFieldDataToAttributeDataFilter | ( |  | ) | `[protected]`

vtkFieldDataToAttributeDataFilter::~vtkFieldDataToAttributeDataFilter | ( |  | ) | `[protected]`

## Member Function Documentation

void vtkFieldDataToAttributeDataFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

virtual const char* vtkFieldDataToAttributeDataFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkFieldDataToAttributeDataFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkFieldDataToAttributeDataFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkFieldDataToAttributeDataFilter* vtkFieldDataToAttributeDataFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

vtkFieldDataToAttributeDataFilter* vtkFieldDataToAttributeDataFilter::New | ( |  | ) | `[static]`

| Construct object with input field set to the data object field, and the output attribute data set to generate point data. Reimplemented from vtkObject.

virtual void vtkFieldDataToAttributeDataFilter::SetInputField | ( | int |  | ) | `[virtual]`

| Specify which field data to use to generate the output attribute data. There are three choices: the field data associated with the vtkDataObject superclass; the point field attribute data; and the cell field attribute data.

virtual int vtkFieldDataToAttributeDataFilter::GetInputField | ( |  | ) | `[virtual]`

| Specify which field data to use to generate the output attribute data. There are three choices: the field data associated with the vtkDataObject superclass; the point field attribute data; and the cell field attribute data.

void vtkFieldDataToAttributeDataFilter::SetInputFieldToDataObjectField | ( |  | ) | `[inline]`

| Specify which field data to use to generate the output attribute data. There are three choices: the field data associated with the vtkDataObject superclass; the point field attribute data; and the cell field attribute data. Definition at line 107 of file vtkFieldDataToAttributeDataFilter.h. References VTK_DATA_OBJECT_FIELD.

void vtkFieldDataToAttributeDataFilter::SetInputFieldToPointDataField | ( |  | ) | `[inline]`

| Specify which field data to use to generate the output attribute data. There are three choices: the field data associated with the vtkDataObject superclass; the point field attribute data; and the cell field attribute data. Definition at line 109 of file vtkFieldDataToAttributeDataFilter.h. References VTK_POINT_DATA_FIELD.

void vtkFieldDataToAttributeDataFilter::SetInputFieldToCellDataField | ( |  | ) | `[inline]`

| Specify which field data to use to generate the output attribute data. There are three choices: the field data associated with the vtkDataObject superclass; the point field attribute data; and the cell field attribute data. Definition at line 111 of file vtkFieldDataToAttributeDataFilter.h. References VTK_CELL_DATA_FIELD.

virtual void vtkFieldDataToAttributeDataFilter::SetOutputAttributeData | ( | int |  | ) | `[virtual]`

| Specify which attribute data to output: point or cell data attributes.

virtual int vtkFieldDataToAttributeDataFilter::GetOutputAttributeData | ( |  | ) | `[virtual]`

| Specify which attribute data to output: point or cell data attributes.

void vtkFieldDataToAttributeDataFilter::SetOutputAttributeDataToCellData | ( |  | ) | `[inline]`

| Specify which attribute data to output: point or cell data attributes. Definition at line 120 of file vtkFieldDataToAttributeDataFilter.h. References VTK_CELL_DATA.

void vtkFieldDataToAttributeDataFilter::SetOutputAttributeDataToPointData | ( |  | ) | `[inline]`

| Specify which attribute data to output: point or cell data attributes. Definition at line 122 of file vtkFieldDataToAttributeDataFilter.h. References VTK_POINT_DATA.

void vtkFieldDataToAttributeDataFilter::SetScalarComponent | ( | int | comp,
|  | const char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max,
|  | int | normalize
| ) |

| Define the component(s) of the field to be used for the scalar components. Note that the parameter comp must lie between (0,4). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

void vtkFieldDataToAttributeDataFilter::SetScalarComponent | ( | int | comp,
|  | const char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define the component(s) of the field to be used for the scalar components. Note that the parameter comp must lie between (0,4). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. Definition at line 134 of file vtkFieldDataToAttributeDataFilter.h.

const char* vtkFieldDataToAttributeDataFilter::GetScalarComponentArrayName | ( | int | comp | ) |

| Define the component(s) of the field to be used for the scalar components. Note that the parameter comp must lie between (0,4). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetScalarComponentArrayComponent | ( | int | comp | ) |

| Define the component(s) of the field to be used for the scalar components. Note that the parameter comp must lie between (0,4). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetScalarComponentMinRange | ( | int | comp | ) |

| Define the component(s) of the field to be used for the scalar components. Note that the parameter comp must lie between (0,4). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetScalarComponentMaxRange | ( | int | comp | ) |

| Define the component(s) of the field to be used for the scalar components. Note that the parameter comp must lie between (0,4). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetScalarComponentNormalizeFlag | ( | int | comp | ) |

| Define the component(s) of the field to be used for the scalar components. Note that the parameter comp must lie between (0,4). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

void vtkFieldDataToAttributeDataFilter::SetVectorComponent | ( | int | comp,
|  | const char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max,
|  | int | normalize
| ) |

| Define the component(s) of the field to be used for the vector components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

void vtkFieldDataToAttributeDataFilter::SetVectorComponent | ( | int | comp,
|  | const char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define the component(s) of the field to be used for the vector components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. Definition at line 151 of file vtkFieldDataToAttributeDataFilter.h.

const char* vtkFieldDataToAttributeDataFilter::GetVectorComponentArrayName | ( | int | comp | ) |

| Define the component(s) of the field to be used for the vector components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetVectorComponentArrayComponent | ( | int | comp | ) |

| Define the component(s) of the field to be used for the vector components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetVectorComponentMinRange | ( | int | comp | ) |

| Define the component(s) of the field to be used for the vector components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetVectorComponentMaxRange | ( | int | comp | ) |

| Define the component(s) of the field to be used for the vector components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetVectorComponentNormalizeFlag | ( | int | comp | ) |

| Define the component(s) of the field to be used for the vector components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

void vtkFieldDataToAttributeDataFilter::SetNormalComponent | ( | int | comp,
|  | const char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max,
|  | int | normalize
| ) |

| Define the component(s) of the field to be used for the normal components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

void vtkFieldDataToAttributeDataFilter::SetNormalComponent | ( | int | comp,
|  | const char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define the component(s) of the field to be used for the normal components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. Definition at line 168 of file vtkFieldDataToAttributeDataFilter.h.

const char* vtkFieldDataToAttributeDataFilter::GetNormalComponentArrayName | ( | int | comp | ) |

| Define the component(s) of the field to be used for the normal components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetNormalComponentArrayComponent | ( | int | comp | ) |

| Define the component(s) of the field to be used for the normal components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetNormalComponentMinRange | ( | int | comp | ) |

| Define the component(s) of the field to be used for the normal components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetNormalComponentMaxRange | ( | int | comp | ) |

| Define the component(s) of the field to be used for the normal components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetNormalComponentNormalizeFlag | ( | int | comp | ) |

| Define the component(s) of the field to be used for the normal components. Note that the parameter comp must lie between (0,3). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

void vtkFieldDataToAttributeDataFilter::SetTensorComponent | ( | int | comp,
|  | const char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max,
|  | int | normalize
| ) |

| Define the components of the field to be used for the tensor components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

void vtkFieldDataToAttributeDataFilter::SetTensorComponent | ( | int | comp,
|  | const char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define the components of the field to be used for the tensor components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. Definition at line 185 of file vtkFieldDataToAttributeDataFilter.h.

const char* vtkFieldDataToAttributeDataFilter::GetTensorComponentArrayName | ( | int | comp | ) |

| Define the components of the field to be used for the tensor components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetTensorComponentArrayComponent | ( | int | comp | ) |

| Define the components of the field to be used for the tensor components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetTensorComponentMinRange | ( | int | comp | ) |

| Define the components of the field to be used for the tensor components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetTensorComponentMaxRange | ( | int | comp | ) |

| Define the components of the field to be used for the tensor components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetTensorComponentNormalizeFlag | ( | int | comp | ) |

| Define the components of the field to be used for the tensor components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

void vtkFieldDataToAttributeDataFilter::SetTCoordComponent | ( | int | comp,
|  | const char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max,
|  | int | normalize
| ) |

| Define the components of the field to be used for the cell texture coord components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

void vtkFieldDataToAttributeDataFilter::SetTCoordComponent | ( | int | comp,
|  | const char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define the components of the field to be used for the cell texture coord components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. Definition at line 202 of file vtkFieldDataToAttributeDataFilter.h.

const char* vtkFieldDataToAttributeDataFilter::GetTCoordComponentArrayName | ( | int | comp | ) |

| Define the components of the field to be used for the cell texture coord components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetTCoordComponentArrayComponent | ( | int | comp | ) |

| Define the components of the field to be used for the cell texture coord components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetTCoordComponentMinRange | ( | int | comp | ) |

| Define the components of the field to be used for the cell texture coord components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetTCoordComponentMaxRange | ( | int | comp | ) |

| Define the components of the field to be used for the cell texture coord components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

int vtkFieldDataToAttributeDataFilter::GetTCoordComponentNormalizeFlag | ( | int | comp | ) |

| Define the components of the field to be used for the cell texture coord components. Note that the parameter comp must lie between (0,9). To define the field component to use you specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract.

virtual void vtkFieldDataToAttributeDataFilter::SetDefaultNormalize | ( | int |  | ) | `[virtual]`

| Set the default Normalize() flag for those methods setting a default Normalize value (e.g., SetScalarComponents).

virtual int vtkFieldDataToAttributeDataFilter::GetDefaultNormalize | ( |  | ) | `[virtual]`

| Set the default Normalize() flag for those methods setting a default Normalize value (e.g., SetScalarComponents).

virtual void vtkFieldDataToAttributeDataFilter::DefaultNormalizeOn | ( |  | ) | `[virtual]`

| Set the default Normalize() flag for those methods setting a default Normalize value (e.g., SetScalarComponents).

virtual void vtkFieldDataToAttributeDataFilter::DefaultNormalizeOff | ( |  | ) | `[virtual]`

| Set the default Normalize() flag for those methods setting a default Normalize value (e.g., SetScalarComponents).

int vtkFieldDataToAttributeDataFilter::GetComponentsType | ( | int | numComp,
|  | vtkDataArray ** | arrays
| ) | `[static]`

| Given an array of names of arrays in field data, return the common type for these arrays. For example, if a vector is constructed of the three type (char,int,float), the return type is float.

int vtkFieldDataToAttributeDataFilter::ConstructArray | ( | vtkDataArray * | da,
|  | int | comp,
|  | vtkDataArray * | frray,
|  | int | fieldComp,
|  | vtkIdType | min,
|  | vtkIdType | max,
|  | int | normalize
| ) | `[static]`

| Construct a portion of a data array (the comp portion) from another data array and its component. The variables min and max control the range of the data to use from the other data array; normalize is a flag that when set will normalize the data between (0,1).

vtkDataArray* vtkFieldDataToAttributeDataFilter::GetFieldArray | ( | vtkFieldData * | fd,
|  | char * | name,
|  | int | comp
| ) | `[static]`

| Return an array of a particular name from field data and do error checking.

void vtkFieldDataToAttributeDataFilter::SetArrayName | ( | vtkObject * | self,
|  | char *& | name,
|  | const char * | newName
| ) | `[static]`

| Specify an array name for one of the components.

int vtkFieldDataToAttributeDataFilter::UpdateComponentRange | ( | vtkDataArray * | da,
|  | vtkIdType | compRange[2]
| ) | `[static]`

| Update the maximum and minimum component range values. Returns a flag indicating whether the range was updated.

virtual void vtkFieldDataToAttributeDataFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[virtual]`

| If output does not need exact extent, the I do not either. Reimplemented from vtkDataSetToDataSetFilter.

void vtkFieldDataToAttributeDataFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkFieldDataToAttributeDataFilter::ConstructScalars | ( | int | num,
|  | vtkFieldData * | fd,
|  | vtkDataSetAttributes * | attr,
|  | vtkIdType | componentRange[4][2],
|  | char * | arrays[4],
|  | int | arrayComponents[4],
|  | int | normalize[4],
|  | int | numComp
| ) | `[protected]`

void vtkFieldDataToAttributeDataFilter::ConstructVectors | ( | int | num,
|  | vtkFieldData * | fd,
|  | vtkDataSetAttributes * | attr,
|  | vtkIdType | componentRange[3][2],
|  | char * | arrays[3],
|  | int | arrayComponents[3],
|  | int | normalize[3]
| ) | `[protected]`

void vtkFieldDataToAttributeDataFilter::ConstructGhostLevels | ( | int | num,
|  | vtkFieldData * | fd,
|  | vtkDataSetAttributes * | attr,
|  | vtkIdType | componentRange[2],
|  | char * | array,
|  | int | arrayComponent,
|  | int | normalize
| ) | `[protected]`

void vtkFieldDataToAttributeDataFilter::ConstructNormals | ( | int | num,
|  | vtkFieldData * | fd,
|  | vtkDataSetAttributes * | attr,
|  | vtkIdType | componentRange[3][2],
|  | char * | arrays[3],
|  | int | arrayComponents[3],
|  | int | normalize[3]
| ) | `[protected]`

void vtkFieldDataToAttributeDataFilter::ConstructTCoords | ( | int | num,
|  | vtkFieldData * | fd,
|  | vtkDataSetAttributes * | attr,
|  | vtkIdType | componentRange[3][2],
|  | char * | arrays[3],
|  | int | arrayComponents[3],
|  | int | normalize[3],
|  | int | numComp
| ) | `[protected]`

void vtkFieldDataToAttributeDataFilter::ConstructTensors | ( | int | num,
|  | vtkFieldData * | fd,
|  | vtkDataSetAttributes * | attr,
|  | vtkIdType | componentRange[9][2],
|  | char * | arrays[9],
|  | int | arrayComponents[9],
|  | int | normalize[9]
| ) | `[protected]`

void vtkFieldDataToAttributeDataFilter::ConstructFieldData | ( | int | num,
|  | vtkDataSetAttributes * | attr
| ) | `[protected]`

## Member Data Documentation

int vtkFieldDataToAttributeDataFilter::InputField`[protected]`

| Definition at line 258 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::OutputAttributeData`[protected]`

| Definition at line 259 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::NumberOfScalarComponents`[protected]`

| Definition at line 261 of file vtkFieldDataToAttributeDataFilter.h.

char* vtkFieldDataToAttributeDataFilter::ScalarArrays[4]`[protected]`

| Definition at line 262 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::ScalarArrayComponents[4]`[protected]`

| Definition at line 263 of file vtkFieldDataToAttributeDataFilter.h.

vtkIdType vtkFieldDataToAttributeDataFilter::ScalarComponentRange[4][2]`[protected]`

| Definition at line 264 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::ScalarNormalize[4]`[protected]`

| Definition at line 265 of file vtkFieldDataToAttributeDataFilter.h.

char* vtkFieldDataToAttributeDataFilter::VectorArrays[3]`[protected]`

| Definition at line 267 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::VectorArrayComponents[3]`[protected]`

| Definition at line 268 of file vtkFieldDataToAttributeDataFilter.h.

vtkIdType vtkFieldDataToAttributeDataFilter::VectorComponentRange[3][2]`[protected]`

| Definition at line 269 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::VectorNormalize[3]`[protected]`

| Definition at line 270 of file vtkFieldDataToAttributeDataFilter.h.

char* vtkFieldDataToAttributeDataFilter::GhostLevelArray`[protected]`

| Definition at line 272 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::GhostLevelArrayComponent`[protected]`

| Definition at line 273 of file vtkFieldDataToAttributeDataFilter.h.

vtkIdType vtkFieldDataToAttributeDataFilter::GhostLevelComponentRange[2]`[protected]`

| Definition at line 274 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::GhostLevelNormalize`[protected]`

| Definition at line 275 of file vtkFieldDataToAttributeDataFilter.h.

char* vtkFieldDataToAttributeDataFilter::NormalArrays[3]`[protected]`

| Definition at line 277 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::NormalArrayComponents[3]`[protected]`

| Definition at line 278 of file vtkFieldDataToAttributeDataFilter.h.

vtkIdType vtkFieldDataToAttributeDataFilter::NormalComponentRange[3][2]`[protected]`

| Definition at line 279 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::NormalNormalize[3]`[protected]`

| Definition at line 280 of file vtkFieldDataToAttributeDataFilter.h.

char* vtkFieldDataToAttributeDataFilter::TensorArrays[9]`[protected]`

| Definition at line 282 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::TensorArrayComponents[9]`[protected]`

| Definition at line 283 of file vtkFieldDataToAttributeDataFilter.h.

vtkIdType vtkFieldDataToAttributeDataFilter::TensorComponentRange[9][2]`[protected]`

| Definition at line 284 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::TensorNormalize[9]`[protected]`

| Definition at line 285 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::NumberOfTCoordComponents`[protected]`

| Definition at line 287 of file vtkFieldDataToAttributeDataFilter.h.

char* vtkFieldDataToAttributeDataFilter::TCoordArrays[3]`[protected]`

| Definition at line 288 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::TCoordArrayComponents[3]`[protected]`

| Definition at line 289 of file vtkFieldDataToAttributeDataFilter.h.

vtkIdType vtkFieldDataToAttributeDataFilter::TCoordComponentRange[3][2]`[protected]`

| Definition at line 290 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::TCoordNormalize[3]`[protected]`

| Definition at line 291 of file vtkFieldDataToAttributeDataFilter.h.

int vtkFieldDataToAttributeDataFilter::DefaultNormalize`[protected]`

| Definition at line 293 of file vtkFieldDataToAttributeDataFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkFieldDataToAttributeDataFilter.h